> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nicheok.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Credits



## OpenAPI

````yaml GET /v1/quota/available-credits
openapi: 3.0.0
info:
  version: 1.0.0
  title: NicheOK API
servers: []
security: []
paths:
  /v1/quota/available-credits:
    get:
      tags:
        - V1
      responses:
        '200':
          description: Credits data
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/QuotaGetAvailableCreditsSuccessResponseSchema
        '401':
          description: Invalid API key response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonInvalidAPIKeyResponseSchema'
        '500':
          description: Server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonErrorResponseSchema'
      security:
        - API Key: []
components:
  schemas:
    QuotaGetAvailableCreditsSuccessResponseSchema:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: object
          properties:
            availableCredits:
              type: number
              description: Number of available credits
              example: 100
          required:
            - availableCredits
      required:
        - success
        - data
    CommonInvalidAPIKeyResponseSchema:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid/Expired API key.
      required:
        - success
        - message
    CommonErrorResponseSchema:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Internal server error
      required:
        - success
        - message
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key

````